For the complete documentation index, see llms.txt. This page is also available as Markdown.

Liquidate Frequent Savings

The "Liquidate Frequent Savings" endpoint allows customers to liquidate a frequent savings account, either fully or in part.

POST /api/savingsaccount/v1/frequentsavings/liquidate

To liquidate a frequent savings account, you need to provide the necessary body parameters, such as accountNumber, liquidationType, and other relevant details.

Headers

Name
Value

Content-Type*

application/json

Authorization*

Bearer

Request-Reference*

{unique_reference}

Body

Name
Data Type (Length)
Required
Description

accountNumber

string (50)

This is the Savings Account that will be debited. This is not the Liquidation Account.

liquidationAmount

Integer

The amount to be liquidated. The amount should be sent in the base unit of the currency. For example, 1000 naira will be sent as 1000 * 100.

partLiquidationFee

Integer

The percentage fee applied if there is a Pre-Liquidation Fee. If there is a Pre-Liquidation Fee, it should be passed here. Required if liquidationType = PartLiquidation

liquidationType

Integer

The type of liquidation to be performed.

Enum (FullLiquidation = 1, PartLiquidation = 2) If it is FullLiquidation, the full Principal will be liquidated and the Savings account will close, liquidationAmount is not required. For PartLiquidation, only an amount not greater than or equal to the Savings balance is accepted, and liquidationAmount is required.

Here is an example request and response with a sample payload sent to the endpoint in Curl format.

Sample Request
curl --location -g '{{baseurl}}/api/savingsaccount/v1/frequentsavings/liquidate' \
--header 'Authorization: bearer {token}' \
--header 'request-reference: {unique_reference}' \
--header 'Content-Type: application/json' \
--data '{
  "accountNumber": "string",
  "partLiquidationFee": 0,
  "liquidationType": "FullLiquidation",
  "liquidationAmount": 0
}'
Response: 200
{
  "status": true,
  "message": "string",
  "data": {
    "statusCode": "string",
    "referenceNumber": "string",
    "instrumentNumber": "string",
    "message": "string",
    "duration": "string",
    "sessionID": "string"
  },
  "isSuccessful": true,
  "statusCode": "string",
  "referenceNumber": "string",
  "instrumentNumber": "string",
  "duration": "string",
  "sessionID": "string"
}

Last updated